<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Cli Namespace Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="../../namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/d1d/namespaceThread_1_1Cli.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Cli Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This namespace contains definitions for the CLI interpreter.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d91/structThread_1_1Cli_1_1Command.html">Command</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents a CLI command.  <a href="../../d8/d91/structThread_1_1Cli_1_1Command.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html">Console</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI server on top of the CONSOLE platform abstraction.  <a href="../../dd/dce/classThread_1_1Cli_1_1Console.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html">Dataset</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI interpreter.  <a href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dbb/structThread_1_1Cli_1_1DatasetCommand.html">DatasetCommand</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents a CLI command.  <a href="../../d7/dbb/structThread_1_1Cli_1_1DatasetCommand.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html">Interpreter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI interpreter.  <a href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5c/classThread_1_1Cli_1_1Server.html">Server</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI server.  <a href="../../d4/d5c/classThread_1_1Cli_1_1Server.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/classThread_1_1Cli_1_1Uart.html">Uart</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI server on top of the UART platform abstraction.  <a href="../../d1/d15/classThread_1_1Cli_1_1Uart.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df5/classThread_1_1Cli_1_1Udp.html">Udp</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements the CLI server on top of a UDP socket.  <a href="../../dc/df5/classThread_1_1Cli_1_1Udp.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:acb96790bfcfb6c611ce66d90b640f8de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb96790bfcfb6c611ce66d90b640f8de"></a>
static&#160;</td><td class="memItemRight" valign="bottom"><b>otDEFINE_ALIGNED_VAR</b> (sCliConsoleRaw, sizeof(<a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html">Console</a>), uint64_t)</td></tr>
<tr class="separator:acb96790bfcfb6c611ce66d90b640f8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefc780415258b80e7530e89401b4331c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html#aefc780415258b80e7530e89401b4331c">otCliConsoleInit</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <a class="el" href="../../d6/d07/cli-console_8h.html#a1777e383f674ffdc508daca106e4e075">otCliConsoleOutputCallback</a> aCallback, void *aContext)</td></tr>
<tr class="memdesc:aefc780415258b80e7530e89401b4331c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the CLI CONSOLE module.  <a href="#aefc780415258b80e7530e89401b4331c">More...</a><br /></td></tr>
<tr class="separator:aefc780415258b80e7530e89401b4331c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa748ea58c0a0198a3dbdea15df84314"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html#afa748ea58c0a0198a3dbdea15df84314">otCliConsoleInputLine</a> (char *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:afa748ea58c0a0198a3dbdea15df84314"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method is called to feed in a console input line.  <a href="#afa748ea58c0a0198a3dbdea15df84314">More...</a><br /></td></tr>
<tr class="separator:afa748ea58c0a0198a3dbdea15df84314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7bb03a4252bc03c6716f1b67742726"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e7bb03a4252bc03c6716f1b67742726"></a>
static&#160;</td><td class="memItemRight" valign="bottom"><b>otDEFINE_ALIGNED_VAR</b> (sCliUartRaw, sizeof(<a class="el" href="../../d1/d15/classThread_1_1Cli_1_1Uart.html">Uart</a>), uint64_t)</td></tr>
<tr class="separator:a2e7bb03a4252bc03c6716f1b67742726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0afc4597583182249dd08ee3b368f55c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html#a0afc4597583182249dd08ee3b368f55c">otCliUartInit</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a0afc4597583182249dd08ee3b368f55c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the CLI UART module.  <a href="#a0afc4597583182249dd08ee3b368f55c">More...</a><br /></td></tr>
<tr class="separator:a0afc4597583182249dd08ee3b368f55c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#ga2aec94bad212a6bd72bc82fe310eaca2">otPlatUartReceived</a> (const uint8_t *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that bytes have been received.  <a href="../../db/def/group__uart.html#ga2aec94bad212a6bd72bc82fe310eaca2">More...</a><br /></td></tr>
<tr class="separator:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2950583380bb90a3779f980c28fbaa0"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gab2950583380bb90a3779f980c28fbaa0">otPlatUartSendDone</a> (void)</td></tr>
<tr class="memdesc:gab2950583380bb90a3779f980c28fbaa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that the requested bytes have been sent. <br /></td></tr>
<tr class="separator:gab2950583380bb90a3779f980c28fbaa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a989a813407a0841d6d97a924a6f7854a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a989a813407a0841d6d97a924a6f7854a"></a>
static <a class="el" href="../../dd/dce/classThread_1_1Cli_1_1Console.html">Console</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>sServer</b></td></tr>
<tr class="separator:a989a813407a0841d6d97a924a6f7854a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7343a01a201a6e082094ec4743751fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7343a01a201a6e082094ec4743751fd"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>sCommandPrompt</b> [] = {'&gt;', ' '}</td></tr>
<tr class="separator:ad7343a01a201a6e082094ec4743751fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7471b8a5ca72a4be3b5792eef4006dcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7471b8a5ca72a4be3b5792eef4006dcd"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>sEraseString</b> [] = {'\b', ' ', '\b'}</td></tr>
<tr class="separator:a7471b8a5ca72a4be3b5792eef4006dcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38bca1d30af7a74ebc150d7d754e03f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38bca1d30af7a74ebc150d7d754e03f8"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>CRNL</b> [] = {'\r', '\n'}</td></tr>
<tr class="separator:a38bca1d30af7a74ebc150d7d754e03f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This namespace contains definitions for the CLI interpreter. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="aefc780415258b80e7530e89401b4331c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Cli::otCliConsoleInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/d07/cli-console_8h.html#a1777e383f674ffdc508daca106e4e075">otCliConsoleOutputCallback</a>&#160;</td>
          <td class="paramname"><em>aCallback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize the CLI CONSOLE module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallback</td><td>A callback method called to process console output. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A user context pointer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afa748ea58c0a0198a3dbdea15df84314"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Cli::otCliConsoleInputLine </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>aBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aBufLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method is called to feed in a console input line. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aBuf</td><td>A pointer to a buffer with an input. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aBufLength</td><td>A length of the input data stored in the buffer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0afc4597583182249dd08ee3b368f55c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Cli::otCliUartInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize the CLI UART module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html">Cli</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
